#!/bin/perl
#################################################################################
# Created       : Martin Foster
# Modified      : 01/10/2001
#################################################################################
#
# System Who - Script part of Webchat designed to list who is currently on all realms
# Copyright (C) 2000  Martin Foster
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# Author of this script can be contacted at the following:
#       E-Mail  : mfoster@redwhite.com
#       Address : Suite 209 - 355 5th Ave NE
#                 Calgary, Alberta
#                 T2E 0K9
#
#################################################################################

use CGI qw(:standard);						# Common gateway interface
use CGI::Carp qw(fatalsToBrowser);				# CGI Error logs
use strict;							# Strict variable enforcement

use Webchat::Database;						# Database handler
use Webchat::Login;						# Login functionality
use Webchat::Param;						# Parameter control
use Webchat::Who;						# Who is on


#################################################################################
# Data Members
#################################################################################
my $Database;							# Database handle
my $cgi;							# Common gateway interface handle

my $url;							# URL
my $inline;							# Inline parameters

my %param;							# Parameter hash
my %realm;							# Realm hash


#################################################################################
# Program Area
#################################################################################

	$cgi = new CGI;						# Create CGI Handle
	$url = $cgi->url();					# Retreives URL

	Webchat::Database::DatabaseConnect(\$Database);		# Connect to MySQL
	Webchat::Database::GetHashRealm($Database, \%realm);	# Link to Hash
	Webchat::Param::GetParam($cgi, \%param);		# Retreive parameters

	# Retreive parameters
	$inline = Webchat::Param::EmbedInline($Database, $cgi, %param);

	print $cgi->header(-type=>'text/html',
		-refresh=>"35;URL=$url$inline");		# File header
	Webchat::Database::DocumentGetHeader($Database);	# HTML header

        # Verification of login before admin screens
        if (Webchat::Login::GetVerificationAdmin($Database, $cgi, \%param))
        {
		# Display title
		print "$realm{'TagTitleWho'}\n<BR>\n";

		# Link to login
		print "<A HREF=\"$realm{LnkPortal}$inline\" TARGET=\"_TOP\">$realm{TagLogin}</A>\n<BR>\n";

		# Display who is on
		Webchat::Who::WhoSystem($Database, $cgi, \%realm);
	}

	Webchat::Database::DocumentGetFooter($Database);	# HTML footer
	$Database->disconnect();				# Disconnect database handle
